package models

import (
	"gitea.pena/SQuiz/common/model"
)

type GetListTagsReq struct {
	Page       int              `json:"page"`
	Limit      int              `json:"limit"`
	Filter     Filter           `json:"filter"`
	EntityType model.EntityType `json:"entityType"`
}

type Filter struct {
	Name  string `json:"name"`
	ID    []int  `json:"id"`
	Query string `json:"query"`
}

type ResponseGetListTags struct {
	Page     int          `json:"_page"`
	Links    Links        `json:"_links"`
	Embedded EmbeddedTags `json:"_embedded"`
}

type EmbeddedTags struct {
	Tags []Tag `json:"tags"`
}

type Tag struct {
	ID    int     `json:"id"`
	Name  string  `json:"name"`
	Color *string `json:"color,omitempty"`
}
